name: mrcnn_env
channels:
  - defaults
  - mosaic
dependencies:
  - python>3.4,<3.8
  - pip
  - numpy
  - numba>=0.43.1
  - pyqt
  - scipy
  - jupyter
  - timagetk
  - matplotlib
  - pandas
  - pillow 
  - scikit-image
  - glob2
  - tifffile
  - imgaug

  - pip:
    - cython
    - tensorflow==1.15.0
    - keras==2.0.8
    - opencv-python
    - h5py==2.10.0
    - IPython[all]
